from setuptools import setup, find_packages
from src.voucher import __version__ as version

with open("README.rst", encoding="UTF-8") as f:
    readme = f.read()

setup(
    name="voucher",
    version=version,
    description="My guest wifi voucher printer system",
    long_description=readme,
    author="Jonas Forsberg",
    author_email="barregargamel@gmail.com",
    packages=find_packages("src"),
    package_dir={"": "src"},
    install_requires=["paho-mqtt", "RPi-GPIO"],
    include_package_data=True,
    package_data = {
        },
    entry_points={
        "console_scripts": [
            "nvd=voucher.cli:main",
            ]
    }
)
